// pages/OrderRecord/OrderRecord.js
var app = getApp();
Page({
  /**
	 * 页面的初始数据
	 */
  data: {
    id: '',
    img_url: '',
    btn_name: '',
    reason_data: '',
    order_state: '',
    show1: false
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    if (options.id) {
      this.setData({
        id: options.id
      });
    }
    this.getJson();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  getJson() {
    var that = this;
    let urlStr = app.getNetAddresss('remittance.remittance-record');
    urlStr += '&order_id=' + this.data.id;
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            img_url: res.data.report_url,
            btn_name: res.data.button_models.name,
            reason_data: res.data.audit_note,
            order_state: res.data.status_name
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  causeShow() {
    this.setData({
      show1: true
    });
  },
  causeClose() {
    this.setData({
      show1: false
    });
  },
  cancelTransfer() {
    let that = this;
    wx.showModal({
      title: '提示',
      content: '此操作将取消汇款申请, 是否继续?',
      success(res) {
        if (res.confirm) {
          let urlStr = app.getNetAddresss('remittance.remittance-record-operation.cancel');
          urlStr += '&order_id=' + that.data.order_id;
          app._getNetWork({
            url: urlStr,
            success: function(resdata) {
              var res = resdata.data;
              if (res.result == 1) {
                wx.showToast({
                  icon: 'none',
                  title: '取消申请成功',
                  duration: 1500
                });
              }
            },
            fail: function(res) {
              console.log(res);
            }
          });
        } else if (res.cancel) {
          wx.showToast({
            icon: 'none',
            title: '已取消操作',
            duration: 1500
          });
        }
      }
    });
  }
});
